Subject: Re: linux-next: Tree for Sep 11 [drivers/tty/serial/cpm_uart.ko]

From: Christophe Leroy <[email-masked]>
Date: Tue, 12 Sep 2023 07:18:01 +0000

Le 11/09/2023 à 23:03, Randy Dunlap a écrit :
> 
> 
> On 9/10/23 19:11, Stephen Rothwell wrote:
>> Hi all,
>>
>> Please do *not* include material destined for v6.7 in your linux-next
>> included branches until *after* v6.6-rc1 has been released.  Also,
>> do *not* rebase your linu-next included branches onto v6.5.
>>
>> Changes since 20230908:
>>
>> Non-merge commits (relative to Linus' tree): 643
>>   614 files changed, 227990 insertions(+), 9502 deletions(-)
>>
>> ----------------------------------------------------------------------------
> 
> on ppc32:
> 
> ERROR: modpost: "get_brgfreq" [drivers/tty/serial/cpm_uart.ko] undefined!
> 
> 
> Full randconfig file is attached.
> 
> 

Bisected to eb5aa2137275 ("powerpc/82xx: Remove CONFIG_8260 and 
CONFIG_8272")

Seems like previously FSL_SOC was always selected together with CPM2. 
After the mentioned commit it looks like it is now possible to select 
CPM2 manually without FSL_SOC.

I'll try to find a way to fix that.

Christophe